=== debian/changelog ===
pbbam (0.7.4+ds-1build2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 17:55:00 +0000

pbbam (0.7.4+ds-1build1) artful; urgency=medium

  * No-change rebuild against libhts2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 26 Jun 2017 07:29:38 +0000

pbbam (0.7.4+ds-1) unstable; urgency=medium

  * New upstream release snapshot
    - Exclude dependency convenience copy
    - Update patches
    - Update running of tests at build-time
    - Update .install files
    - Update autopkgtest commands
  * Use debhelper compat 10
  * libpbbam-dev: depend on libssl-dev

 -- Afif Elghraoui <afif@debian.org>  Sat, 21 Jan 2017 23:48:21 -0800

pbbam (0.7.0-1) unstable; urgency=medium

  * Imported Upstream version 0.7.0
  * Update patches

 -- Afif Elghraoui <afif@debian.org>  Sun, 30 Oct 2016 14:31:49 -0700

pbbam (0.5.0-3) unstable; urgency=low

  * Fix cmake arguments to properly position LDFLAGS for -Wl,--as-needed.
    Thanks to Steve Langasek (Closes: #841671)

 -- Afif Elghraoui <afif@debian.org>  Sun, 23 Oct 2016 14:07:27 -0700

pbbam (0.5.0-2) unstable; urgency=low

  * libpbbam-dev: add dependency on libhts-dev

 -- Afif Elghraoui <afif@debian.org>  Sun, 17 Jul 2016 23:29:34 -0700

pbbam (0.5.0-1) unstable; urgency=medium

  * New upstream revision (git 79ab246 from 2016-02-23)
  * Declare additional copyrights to avoid repacking tarball
  * Update patches
  * Update Standards-Version to 3.9.8
  * Use encrypted protocols for VCS URLs
  * Clean up d/control and d/rules
  * Use dh-exec for library installation rather than sed-within-d/rules
  * Set up build-time tests for command-line tools
  * Add binary package for command-line tools
  * Install library to main library path
  * Configure autopkgtests
  * Use documentation page as Homepage
  * Remove build-dependency on doxygen
  * Add TODO list

 -- Afif Elghraoui <afif@debian.org>  Tue, 05 Jul 2016 03:25:49 -0700

pbbam (0.1.0~20150813+git4e9e417+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #798220)

 -- Afif Elghraoui <afif@ghraoui.name>  Fri, 18 Sep 2015 02:40:24 -0700
