=== debian/control ===
Source: pbbam
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Build-Depends:
	debhelper (>= 10),
	dh-exec,
	cmake,
	python,
#	swig3.0,
	libboost-dev (>= 1.54),
	zlib1g-dev,
	libssl-dev,
	libhts-dev,
# Test-Depends:
#	libgtest-dev,
	python-cram,
	samtools,
Standards-Version: 3.9.8
Homepage: http://pbbam.readthedocs.org/en/latest/index.html
Vcs-Git: https://anonscm.debian.org/git/debian-med/pbbam.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/pbbam.git

Package: pbbamtools
Section: science
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
	libpbbam (= ${binary:Version}),
Recommends: samtools
Description: processing Pacific Biosciences binary alignment/map files
 The BAM format is a binary, compressed, record-oriented container format
 for raw or aligned sequence reads. The associated SAM format is a text
 representation of the same data. The specifications for BAM/SAM are maintained
 by the SAM/BAM Format Specification Working Group.
 .
 PacBio-produced BAM files are fully compatible with the BAM specification,
 but makes use of the extensibility mechanisms of the BAM specification to
 encode PacBio-specific information.
 .
 This package provides command-line utilities for working with PacBio BAM
 files.

Package: libpbbam
Architecture: any
Multi-Arch: same
Pre-Depends:
	${misc:Pre-Depends}
Depends:
	${shlibs:Depends},
	${misc:Depends},
Description: Pacific Biosciences binary alignment/map (BAM) library
 The BAM format is a binary, compressed, record-oriented container format
 for raw or aligned sequence reads. The associated SAM format is a text
 representation of the same data. The specifications for BAM/SAM are maintained
 by the SAM/BAM Format Specification Working Group.
 .
 PacBio-produced BAM files are fully compatible with the BAM specification,
 but makes use of the extensibility mechanisms of the BAM specification to
 encode PacBio-specific information. The pbbam library provides tools to
 work with these files

Package: libpbbam-dev
Section: libdevel
Architecture: any
Depends:
	libpbbam (= ${binary:Version}),
	libhts-dev,
	libssl-dev,
	${misc:Depends},
Description: Pacific Biosciences binary alignment/map (BAM) library (headers)
 The BAM format is a binary, compressed, record-oriented container format
 for raw or aligned sequence reads. The associated SAM format is a text
 representation of the same data. The specifications for BAM/SAM are maintained
 by the SAM/BAM Format Specification Working Group.
 .
 PacBio-produced BAM files are fully compatible with the BAM specification,
 but makes use of the extensibility mechanisms of the BAM specification to
 encode PacBio-specific information. The pbbam library provides tools to
 work with these files
 .
 This package contains the library header files.
