=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
export LC_ALL=C.UTF-8
include /usr/share/dpkg/default.mk

DEB_VERSION_UPSTREAM := $(subst +ds,,$(DEB_VERSION_UPSTREAM))
generated_data_dir = $(CURDIR)/gendata

%:
	  dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	-DPacBioBAM_build_shared=ON \
	-DPacBioBAM_build_tests=OFF \
	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
	-DCMAKE_SKIP_RPATH=ON \
	-DHTSLIB_INCLUDE_DIRS=/usr/include \
	-DHTSLIB_LIBRARIES="-lssl -lcrypto -lhts" \
	-DCMAKE_SHARED_LINKER_FLAGS="$(LDFLAGS)"
#	-DPacBioBAM_wrap_python=ON \
#	-DPacBioBAM_wrap_r=ON

override_dh_auto_test: $(subst .t.in,.deb.t,$(wildcard tests/src/cram/pb*.t.in))
	mkdir -p $(generated_data_dir)
	python tests/scripts/generate_data.py $(CURDIR)/tests/data $(generated_data_dir)
	BINDIR=`find $$PWD -name bin -type d`; \
	LIBDIR=`find $$PWD -name lib -type d`; \
	PATH="$$BINDIR:$(PATH)" LD_LIBRARY_PATH="$$LIBDIR:$(LD_LIBRARY_PATH)" \
	cram -v $^

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

override_dh_auto_clean:
	dh_auto_clean
	find -name "*.deb.t" -delete
	$(RM) -r $(generated_data_dir)

%.deb.t: %.t.in
	sed \
	-e 's/$$BAM2SAM/samtools view/g' \
	-e 's/\-\-header\-only/-H/g' \
	-e 's/\-\-no\-header//g' \
	-e 's|@PacBioBAM_BinDir@/||g' \
	-e 's|$$TOOLS_BIN/||g' \
	-e 's|@PacBioBAM_TestsDir@|$(CURDIR)/tests|g' \
	-e 's|@PacBioBAM_VERSION@|$(DEB_VERSION_UPSTREAM)|g' \
	-e 's|@GeneratedTestDataDir@|$(generated_data_dir)|g' \
	$< > $@
