=== debian/tests/control ===
Test-Command: debian/rules override_dh_auto_test
Depends:
	make,
	python,
	pbbamtools,
	python-cram,
Restrictions:
	needs-recommends,
	rw-build-tree,
