## pbbam 0.19.0%2Bdfsg

=== tools/pbindex/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # create version header
 set(PbIndex_VERSION ${PacBioBAM_VERSION})
 configure_file(
-    ${PbindexSrcDir}/PbIndexVersion.h.in PbIndexVersion.h @ONLY
+    ${PbindexSrcDir}/PbIndexVersion.h.in ${GeneratedDir}/PbIndexVersion.h @ONLY
 )
 
 # list source files
